## org.eclipse.datatools.sqltools.sqlbuilder.views
Class RDBTableDropListener

    java.lang.Object
      org.eclipse.swt.dnd.DropTargetAdapter
          org.eclipse.datatools.sqltools.sqlbuilder.views.RDBTableDropListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.dnd.DropTargetListener, org.eclipse.swt.internal.SWTEventListener

    public class RDBTableDropListener

extends org.eclipse.swt.dnd.DropTargetAdapter

Constructor Summary
`RDBTableDropListener(org.eclipse.jface.viewers.Viewer viewer, SQLDomainModel domainModel)`

Method Summary
`void` `drop(org.eclipse.swt.dnd.DropTargetEvent event)`
`void` `dropAccept(org.eclipse.swt.dnd.DropTargetEvent event)`

Methods inherited from class org.eclipse.swt.dnd.DropTargetAdapter
`dragEnter, dragLeave, dragOperationChanged, dragOver`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDBTableDropListener

    public RDBTableDropListener(org.eclipse.jface.viewers.Viewer viewer,
                                SQLDomainModel domainModel)

Method Detail

### dropAccept

    public void dropAccept(org.eclipse.swt.dnd.DropTargetEvent event)

  Specified by:
    `dropAccept` in interface `org.eclipse.swt.dnd.DropTargetListener`
  Overrides:
    `dropAccept` in class `org.eclipse.swt.dnd.DropTargetAdapter`

### drop

    public void drop(org.eclipse.swt.dnd.DropTargetEvent event)

  Specified by:
    `drop` in interface `org.eclipse.swt.dnd.DropTargetListener`
  Overrides:
    `drop` in class `org.eclipse.swt.dnd.DropTargetAdapter`